TakenAt: 2012-09-09T02:58:26Z
TakenSrc: meta
UID: prjwuh02yejbre4s
Type: image
Title: Tim Robbins / TIFF / 2012
PlaceSrc: estimate
Altitude: 30
Year: 2012
Month: 9
Day: 9
ISO: 400
Exposure: 1/100
FNumber: 4
FocalLength: 24
Quality: 3
Faces: 1
CameraSerial: "2581203848"
Details:
  Keywords: brown, flash, portrait, robbins, tim, toronto
  KeywordsSrc: meta
  Software: Adobe Photoshop CS6 (Macintosh)
  SoftwareSrc: meta
CreatedAt: 2022-10-17T18:39:00.778998889Z
UpdatedAt: 2022-10-17T18:39:00.781599187Z
